darcs

Safe Haskell | Safe-Infered

Darcs.Patch.Set

Synopsis

- data PatchSet p where
  - PatchSet :: RL (PatchInfoAnd p) -> RL (Tagged p) -> PatchSet p
- data Tagged p where
  - Tagged :: PatchInfoAnd p -> Maybe String -> RL (PatchInfoAnd p) -> Tagged p
- type SealedPatchSet p = Sealed (PatchSet p)
- data Origin
- progressPatchSet :: String -> PatchSet p -> PatchSet p
- tags :: PatchSet p -> [PatchInfo]
- appendPSFL :: PatchSet p -> FL (PatchInfoAnd p) -> PatchSet p
- newset2RL :: PatchSet p -> RL (PatchInfoAnd p)
- newset2FL :: PatchSet p -> FL (PatchInfoAnd p)

# Documentation

data PatchSet p where

Constructors

PatchSet :: RL (PatchInfoAnd p) -> RL (Tagged p) -> PatchSet p |

data Tagged p where

Constructors

Tagged :: PatchInfoAnd p -> Maybe String -> RL (PatchInfoAnd p) -> Tagged p |

type SealedPatchSet p = Sealed (PatchSet p)

data Origin

progressPatchSet :: String -> PatchSet p -> PatchSet p

Runs a progress action for each tag and patch in a given PatchSet, using the passed progress message. Does not alter the PatchSet.

tags :: PatchSet p -> [PatchInfo]

tags returns the PatchInfos corresponding to the tags of a given PatchSet.

appendPSFL :: PatchSet p -> FL (PatchInfoAnd p) -> PatchSet p

appendPSFL takes a PatchSet and a FL of patches that `follow` the PatchSet, and concatenates the patches into the PatchSet.

newset2RL :: PatchSet p -> RL (PatchInfoAnd p)

newset2RL takes a PatchSet and returns an equivalent, linear RL of patches.

newset2FL :: PatchSet p -> FL (PatchInfoAnd p)

newset2FL takes a PatchSet and returns an equivalent, linear FL of patches.